Package org.apache.sling.commons.crypto.internal

# Class PbeSecretKeyProvider

java.lang.Object
org.apache.sling.commons.crypto.internal.PbeSecretKeyProvider

All Implemented Interfaces:
  `SecretKeyProvider`

public final class PbeSecretKeyProvider extends Object implements SecretKeyProvider
Provider of secret keys to use with password-based encryption (PBE).

See Also:
  - `PBEKeySpec`

## Constructor Summary

Constructors
Constructor
Description
`PbeSecretKeyProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`deactivate()`
`@NotNull SecretKey`
`getSecretKey()`
Provides the secret key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PbeSecretKeyProvider

public PbeSecretKeyProvider()

## Method Details

### deactivate

protected void deactivate()

### getSecretKey

@NotNull public @NotNull SecretKey getSecretKey()
Description copied from interface: `SecretKeyProvider`
Provides the secret key.

Specified by:
  `getSecretKey` in interface `SecretKeyProvider`
Returns:
  The secret key